# Uses of Enum
com.fasterxml.jackson.core.StreamWriteCapability

Packages that use StreamWriteCapability
Package
Description
com.fasterxml.jackson.core
Main public API classes of the core streaming JSON processor: most importantly `JsonFactory` used for constructing JSON parser (`JsonParser`) and generator (`JsonGenerator`) instances.
com.fasterxml.jackson.core.json
JSON-specific parser and generator implementation classes that Jackson defines and uses.
com.fasterxml.jackson.core.util
Utility classes used by Jackson Core functionality.

## Uses of StreamWriteCapability in com.fasterxml.jackson.core

Fields in com.fasterxml.jackson.core with type parameters of type StreamWriteCapability
Modifier and Type
Field
Description
`protected static final JacksonFeatureSet<StreamWriteCapability>`
JsonGenerator.`DEFAULT_BINARY_WRITE_CAPABILITIES`
Default set of `StreamWriteCapability`ies for typical binary formats, to use either as-is, or as a base with possible differences.
`protected static final JacksonFeatureSet<StreamWriteCapability>`
JsonGenerator.`DEFAULT_TEXTUAL_WRITE_CAPABILITIES`
Default set of `StreamWriteCapability`ies for typical textual formats, to use either as-is, or as a base with possible differences.
`protected static final JacksonFeatureSet<StreamWriteCapability>`
JsonGenerator.`DEFAULT_WRITE_CAPABILITIES`
Default set of `StreamWriteCapability`ies that may be used as basis for format-specific readers (or as bogus instance if non-null set needs to be passed).
Methods in com.fasterxml.jackson.core that return StreamWriteCapability
Modifier and Type
Method
Description
`static StreamWriteCapability`
StreamWriteCapability.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static StreamWriteCapability[]`
StreamWriteCapability.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in com.fasterxml.jackson.core that return types with arguments of type StreamWriteCapability
Modifier and Type
Method
Description
`JacksonFeatureSet<StreamWriteCapability>`
JsonGenerator.`getWriteCapabilities()`
Accessor for getting metadata on capabilities of this generator, based on underlying data format being read (directly or indirectly).

## Uses of StreamWriteCapability in com.fasterxml.jackson.core.json

Fields in com.fasterxml.jackson.core.json with type parameters of type StreamWriteCapability
Modifier and Type
Field
Description
`protected static final JacksonFeatureSet<StreamWriteCapability>`
JsonGeneratorImpl.`JSON_WRITE_CAPABILITIES`
Default capabilities for JSON generator implementations which do not different from "general textual" defaults
Methods in com.fasterxml.jackson.core.json that return types with arguments of type StreamWriteCapability
Modifier and Type
Method
Description
`JacksonFeatureSet<StreamWriteCapability>`
JsonGeneratorImpl.`getWriteCapabilities()`

## Uses of StreamWriteCapability in com.fasterxml.jackson.core.util

Methods in com.fasterxml.jackson.core.util that return types with arguments of type StreamWriteCapability
Modifier and Type
Method
Description
`JacksonFeatureSet<StreamWriteCapability>`
JsonGeneratorDelegate.`getWriteCapabilities()`